package com.khmer9.cock8888main.remote

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class LottoSetResponse(
    @Json(name = "code")
    val resultCode: String,
    @Json(name = "message")
    val message: ReportLottoSetMessage,
    @Json(name = "data")
    val data: List<LottoSet>?
)

@JsonClass(generateAdapter = true)
data class ReportLottoSetMessage(
    @Json(name = "code")
    val code: String,

    @Json(name = "descriptions")
    val description: String
)

@JsonClass(generateAdapter = true)
data class LottoSet(
    @Json(name = "_id")
    var id: String,

    @Json(name = "year_number")
    val yearNumber: Int,

    @Json(name = "name")
    val typeOfBetting: String,

    @Json(name = "color")
    val color: String,

    @Json(name = "payout")
    val payment: Double,

    @Json(name = "type")
    val type: Int,

    @Json(name = "is_click")
    var isClick: Boolean = false
)